---
order: 3
title:
  zh-CN: 展示表单
---

## zh-CN

纯展示表单组件。

## en-US

```jsx
import React, { Component } from "react";
import { CustomForm } from "icsoc-antd-ex";
const { ResultForm } = CustomForm;

let form = {
  connectors_6493289380579545089: {
    type: "textarea",
    label: "多行联系人们",
    value: "联系人1\n联系人2\n联系人3"
  },

  mobile_6493289380579545089: {
    type: "mobile",
    label: "手机",
    value: "13636363636"
  },
  name_6493289380579545089: {
    type: "name",
    label: "姓名",
    value: "jojo"
  },
  attachment_6493434403778367489: {
    type: "attachment",
    label: "附件",
    show_type: 1,
    value: {}
  }
};

let formData = [
  {
    id: 1,
    type: "line",
    rowKey: 1,
    columnKey: 1,
    itemId: 1,
    name: "分割线",
    options: {
      size: "default",
      defvalue: "用户信息Title"
    }
  },

  {
    id: 5,
    type: "textarea",
    rowKey: 3,
    columnKey: 2,
    itemId: 5,
    name: "connectors_6493289380579545089",
    options: {
      size: "default",
      placeholder: "123",
      label: "我的联系人们",
      rows: 3,
      reqData: 0,
      defvalueInput: "",
      defvalue: "",
      rules: [{ required: true, message: "222" }]
    }
  },
  {
    id: 6,
    type: "mobile",
    rowKey: 2,
    columnKey: 1,
    itemId: 6,
    name: "mobile_6493289380579545089",
    options: {
      size: "default",
      placeholder: "",
      label: "手机",
      reqData: 0,
      defvalueInput: "",
      defvalue: ""
    }
  },
  {
    id: 3,
    type: "name",
    rowKey: 2,
    columnKey: 2,
    itemId: 3,
    name: "name_6493289380579545089",
    options: {
      size: "default",
      placeholder: "",
      label: "姓名",
      reqData: 0,
      defvalueInput: "默认值小明",
      defvalue: ""
    }
  },
  {
    id: 8442,
    type: "attachment",
    rowKey: 3,
    columnKey: 1,
    itemId: 8,
    name: "attachment_6493434403778367489",
    options: {
      size: "default",
      placeholder: "",
      label: "附件",
      upbtnstyle: "button",
      action: "/v1/ticket/upload/files",
      reqData: 0,
      defvalueInput: "",
      defvalue: ""
    }
  }
];

let formMatrix = [
  { key: 1, column: [1] },
  { key: 2, column: [1, 2] },
  { key: 3, column: [1, 2] },
  { key: 4, column: [1] },
  { key: 5, column: [1, 2] }
];

class Box extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      totalData: {}
    };
  }

  render() {
    return (
      <div id="root">
        <ResultForm
          formValue={form}
          formData={formData}
          formMatrix={formMatrix}
          // defaultValue="--" // 无值时的默认显示，可不传
          // styleType="crm" // crm: crm项目详情样式，可不传
        />
      </div>
    );
  }
}

ReactDOM.render(<Box />, mountNode);
```

```css
```
